from django.urls import path
from . import views

app_name = 'vitrine'

urlpatterns =[
    # Page d'accueil avec la liste des événements
    path('', views.HomeView.as_view(), name='home'),
    
    # Page de détail d'un événement spécifique
    path('evenement/<int:pk>/', views.EventDetailView.as_view(), name='event_detail'),
    
    # Page d'instructions avant la redirection WhatsApp
    path(
        'evenement/<int:event_pk>/commander/<int:ticket_pk>/', 
        views.WhatsAppInstructionView.as_view(), 
        name='whatsapp_instruction'
    ),
]